package br.ufrgs.inf.prosoft.tigris.sampling;

import java.lang.annotation.*;

/**
 * The interface Criteria.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
public @interface SamplingConfiguration {

    GranularityType granularity() default GranularityType.CALL;

    /**
     * Sampling percentage int.
     *
     * @return the int
     */
    int samplingPercentage() default 50;

    int cycleTimeInSeconds() default 3600; //3600 seconds = 1h
}
